Subject: Re: [PATCH xfrm-next 0/9] Extend packet offload to fully support libreswan

From: Leon Romanovsky <[email-masked]>
Date: Mon, 20 Mar 2023 11:09:52 +0200

On Mon, Mar 20, 2023 at 09:56:42AM +0100, Steffen Klassert wrote:
> On Tue, Mar 14, 2023 at 10:58:35AM +0200, Leon Romanovsky wrote:
> > From: Leon Romanovsky <[email-masked]>
> > 
> > Hi Steffen,
> > 
> > The following patches are an outcome of Raed's work to add packet
> > offload support to libreswan [1].
> > 
> > The series includes:
> >  * Priority support to IPsec policies
> >  * Statistics per-SA (visible through "ip -s xfrm state ..." command)
> >  * Support to IKE policy holes
> >  * Fine tuning to acquire logic.
> > 
> > --------------------------
> > Future submission roadmap, which can be seen here [2]:
> >  * Support packet offload in IPsec tunnel mode
> >  * Rework lifetime counters support to avoid HW bugs/limitations
> >  * Some general cleanup.
> > 
> > So how do you want me to route the patches, as they have a dependency between them?
> > xfrm-next/net-next/mlx5-next?
> 
> As the changes to the xfrm core are just minor compared to the rest
> of the patchset, I'd not absolutely require to route it through
> ipsec-next. Do it as you prefer, but let me know how you plan
> to do it.

I prefer to prepare and send PR directly to netdev, but I need your
Acked-by on xfrm patches first, before doing it.

Thanks